org.apache.cassandra.io.sstable

## Interface ISSTableScanner

All Superinterfaces:
  java.lang.AutoCloseable, BasePartitionIterator<UnfilteredRowIterator>, CloseableIterator<UnfilteredRowIterator>, java.util.Iterator<UnfilteredRowIterator>, UnfilteredPartitionIterator

All Known Implementing Classes:
  BigTableScanner, BigTableScanner.EmptySSTableScanner

    public interface ISSTableScanner
    extends UnfilteredPartitionIterator

An ISSTableScanner is an abstraction allowing multiple SSTableScanners to be chained together under the hood. See LeveledCompactionStrategy.getScanners.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getBackingFiles()`
`long` `getBytesScanned()`
`long` `getCompressedLengthInBytes()`
`long` `getCurrentPosition()`
`long` `getLengthInBytes()`

### Methods inherited from interface org.apache.cassandra.db.partitions.UnfilteredPartitionIterator

`isForThrift, metadata`

### Methods inherited from interface org.apache.cassandra.db.partitions.BasePartitionIterator

`close`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### getLengthInBytes

    long getLengthInBytes()

#### getCompressedLengthInBytes

    long getCompressedLengthInBytes()

#### getCurrentPosition

    long getCurrentPosition()

#### getBytesScanned

    long getBytesScanned()

#### getBackingFiles

    java.lang.String getBackingFiles()